Name:             gresistor
Version:          0.0.2
Release:          7%{?dist}
Summary:          Gnome resistor color code calculator

License:          GPL+
Group:            Applications/Engineering
URL:              https://sourceforge.net/projects/gresistor/

Source0:          http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python2-devel desktop-file-utils

Requires:         pygtk2-libglade
Requires:         tepache


%description
To allow for identification, resistors are usually marked with
colored bands. Often refereed to as color codes, these markings
are indicative of their resistance, tolerance and temperature
coefficient. gResistor is a great program that will help you
translate a resistor color codes into a readable value.


%prep
%autosetup

# Remove bundled SimpleGladeApp.py
rm -f SimpleGladeApp.py
sed -i '/py_modules =/d' setup.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


desktop-file-install \
    --remove-key=Version                        \
    --remove-key=Encoding                       \
    --add-category "Science;Engineering"          \
    --delete-original                           \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/%{name}.desktop



%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.2-6
- Remove obsolete scriptlets

* Fri Dec 08 2017 Richard Shaw <hobbes1069@gmail.com> - 0.0.2-5
- Fix ambiguous Python 2 dependency declarations
  https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct  7 2015 Richard Shaw <hobbes1069@gmail.com> - 0.0.2-1
- Update to latest upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 12 2013 Jon Ciesla <limburgher@gmail.com> - 0.0.1-23
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Richard Shaw <hobbes1069@gmail.com> - 0.0.1-19
- Removed bundled library, SimpleGladeApp.py now that is has been packaged for fedora (#710199)
- Created symlink instead of moving icon.png because the app expects it to be there and generates an error if it's not present.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.1-14
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.1-13
- Rebuild for Python 2.6

* Mon Jun 16 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-12
- Bugfix 440866 FTBFS gresistor-0.0.1-11.fc8

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-11
- rebuild for fedora 8

* Sun Aug 12 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-10
- fixed desktop file

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.0.1-9
- Rebuild for new python
- Add python-devel dependency

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-8
- Fixed filename of icon

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-7
- Fixed GTK+ icon cache for icon.png

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-6
- Updated Spec file with respect to updated python packaging guidelines
- Added patch for gresistor.desktop

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-5
- Previous ghost files included

* Mon Aug 21 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-4
- corrected Licence

* Thu Jun 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-3
- corrected typo gResistor in %%description

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-2
- Requires corrected and dropped mkdir in %%install

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.0.1-1
- Initial package.
